working on debian trixie

main
superrob1500 2025-10-12 21:59:04 +02:00
parent 6b1e9f9215
commit 7927e9ce77
1 changed files with 1 additions and 7 deletions

View File

@ -1,6 +1,6 @@
#!/bin/bash
#Script to build ghostty from source. It automatically grabs required zig version binary.
#v1.0.4
#v1.0.5
set -euo pipefail
@ -179,12 +179,6 @@ install_deps_linux() {
;;
esac
# Verify critical header files instead of pkg-config
#[[ -f /usr/include/gtk-4.0/gtk/gtk.h ]] || error "GTK4 headers not found. Install libgtk-4-dev."
#[[ -f /usr/include/adwaita-1.0/adwaita.h ]] || error "libadwaita headers not found. Install libadwaita-1-dev."
#[[ -f /usr/include/gtk-layer-shell-1.0/gtk-layer-shell.h ]] || error "GTK Layer Shell headers not found. Install libgtk4-layer-shell-dev."
#[[ -f /usr/include/harfbuzz/harfbuzz.h ]] || error "Harfbuzz headers not found. Install libharfbuzz-dev."
elif command_exists pacman; then
sudo pacman -Sy --noconfirm \
git gtk4 gtk4-layer-shell libadwaita gettext pkgconf curl tar xz g++ blueprint-compiler harfbuzz